@import "../../../../styles/colors";
@import "~breakpoint-sass/stylesheets/breakpoint";
@import "../../../../styles/breakpoints";

$text-field-modal-mode-height: 85px;
$action-block-height: 65px;

.wrapper {
  display: block;
  background-color: $color-white;
  border: 1px solid $color-tiara;
  transition: transform 0.5s, opacity 0.3s;

  @include breakpoint(0 ($multiselect-breakpoint - 1)) {
    border: 0;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    transform: translateX(25%);
    opacity: 0;
    overflow: hidden;
    pointer-events: none;
  }

  &.modal-mode {
    transform: translateX(0);
    opacity: 1;
    pointer-events: auto;
  }
}

app-text-field {
  display: block;
  padding: 7px 15px 0;
  border-bottom: 1px solid $color-tiara;

  .modal-mode & {
    height: $text-field-modal-mode-height;
  }
}

.form-field {
  margin-bottom: 10px;

  &__checkbox {
    margin: 12px 15px 8px;

    &__text {
      overflow: hidden;
      text-overflow: ellipsis;
    }

    &.pending {
      .form-field__checkbox__input + .form-field__checkbox__check {
        border-color: $color-supernova;
        box-shadow: inset 0 0 0 0 $color-supernova, 0 0 0 2px $color-supernova;
      }
    }
  }
}

.list-and-messages {
  height: 350px;
  overflow-y: auto;
  transition: height 0.2s;

  &.no-list-items {
    height: 150px;
  }

  &.few-list-items {
    height: 250px;
  }

  &.modal-mode {
    // Extra pixel is there to hide the border-bottom of the last item. Can't
    // get rid of it in all lists because you still want it when the list
    // doesn't scroll
    height: calc(
      100% - #{$text-field-modal-mode-height + $action-block-height - 1}
    );
  }
}

ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

li {
  border-bottom: 1px solid $color-botticelli;

  &.active {
    background-color: $color-botticelli;
  }

  button {
    width: 100%;
    padding: 9px 15px;
    background-color: transparent;
    font-size: 14px;
    cursor: pointer;
    overflow: hidden;
    text-overflow: ellipsis;
    transition: background-color 0.2s;

    &:hover {
      background-color: $color-botticelli;
    }

    &:last-child {
      border-bottom: 0;
    }
  }
}

.messages {
  padding: 20px 15px 0;
  font-size: 14px;
  line-height: 20px;

  &--centered {
    text-align: center;
  }
}

.action-block {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  height: $action-block-height;
  padding: 10px;
  overflow: hidden;
  background-color: $color-white;
  border-top: 1px solid $color-botticelli;
  z-index: 2;

  button {
    float: right;
  }
}
